type CommandContext = {
  sender: string;
  groupId: string;
  message: string;
  mentions: string[];
};

export type CommandResponse = {
  recipient: string;
  message: string;
};

export class CommandService {
  private static async processTareaCommand(
    context: CommandContext
  ): Promise<CommandResponse[]> {
    // Will implement actual command logic later
    return [{
      recipient: context.sender,
      message: 'Command received: ' + context.message
    }];
  }

  static async handle(context: CommandContext): Promise<CommandResponse[]> {
    if (!context.message.startsWith('/tarea')) {
      return [];
    }

    try {
      return await this.processTareaCommand(context);
    } catch (error) {
      return [{
        recipient: context.sender,
        message: 'Error processing command'
      }];
    }
  }
}
